Package groovy.ui.text

# Class GroovyFilter

java.lang.Object
javax.swing.text.DocumentFilter
groovy.ui.text.StructuredSyntaxDocumentFilter
groovy.ui.text.GroovyFilter

    @Deprecated
    public class GroovyFilter
    extends StructuredSyntaxDocumentFilter

Deprecated.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

  `StructuredSyntaxDocumentFilter.LexerNode, StructuredSyntaxDocumentFilter.MultiLineRun`

  ## Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

  `DocumentFilter.FilterBypass`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static String` | `BINARY_INTEGER_LITERAL` | Deprecated.
  `static String` | `COMMENT` | Deprecated.
  `static String` | `DECIMAL_FLOATING_POINT_LITERAL` | Deprecated.
  `static String` | `DECIMAL_INTEGER_LITERAL` | Deprecated.
  `static String` | `DIGIT` | Deprecated.
  `static String` | `HEX_INTEGER_LITERAL` | Deprecated.
  `static String` | `HEXADECIMAL_FLOATING_POINT_LITERAL` | Deprecated.
  `static String` | `IDENT` | Deprecated.
  `static String` | `LEFT_PARENS` | Deprecated.
  `static String` | `OCTAL_INTEGER_LITERAL` | Deprecated.
  `static String` | `OPERATION` | Deprecated.
  `static String` | `QUOTES` | Deprecated.
  `static String` | `RESERVED_WORD` | Deprecated.
  `static String[]` | `RESERVED_WORDS` | Deprecated.
  `static String` | `SINGLE_QUOTES` | Deprecated.
  `static String` | `SLASH_SLASH_COMMENT` | Deprecated.
  `static String` | `SLASH_STAR_COMMENT` | Deprecated.
  `static String` | `SLASHY_QUOTES` | Deprecated.

  ### Fields inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

  `lexer, mlTextRunSet, styledDocument, TAB_REPLACEMENT`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroovyFilter​(DefaultStyledDocument doc)` | Deprecated. Creates a new instance of GroovyFilter

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `installAutoTabAction​(JTextComponent tComp)` | Deprecated.

  ### Methods inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

  `createLexerNode, getRootNode, insertString, parseDocument, remove, replace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMMENT

    public static final String COMMENT
    Deprecated.
    See Also:
      Constant Field Values

  - ### SLASH_STAR_COMMENT

    public static final String SLASH_STAR_COMMENT
    Deprecated.
    See Also:
      Constant Field Values

  - ### SLASH_SLASH_COMMENT

    public static final String SLASH_SLASH_COMMENT
    Deprecated.
    See Also:
      Constant Field Values

  - ### QUOTES

    public static final String QUOTES
    Deprecated.
    See Also:
      Constant Field Values

  - ### SINGLE_QUOTES

    public static final String SINGLE_QUOTES
    Deprecated.
    See Also:
      Constant Field Values

  - ### SLASHY_QUOTES

    public static final String SLASHY_QUOTES
    Deprecated.
    See Also:
      Constant Field Values

  - ### DIGIT

    public static final String DIGIT
    Deprecated.
    See Also:
      Constant Field Values

  - ### DECIMAL_INTEGER_LITERAL

    public static final String DECIMAL_INTEGER_LITERAL
    Deprecated.
    See Also:
      Constant Field Values

  - ### HEX_INTEGER_LITERAL

    public static final String HEX_INTEGER_LITERAL
    Deprecated.
    See Also:
      Constant Field Values

  - ### OCTAL_INTEGER_LITERAL

    public static final String OCTAL_INTEGER_LITERAL
    Deprecated.
    See Also:
      Constant Field Values

  - ### BINARY_INTEGER_LITERAL

    public static final String BINARY_INTEGER_LITERAL
    Deprecated.
    See Also:
      Constant Field Values

  - ### DECIMAL_FLOATING_POINT_LITERAL

    public static final String DECIMAL_FLOATING_POINT_LITERAL
    Deprecated.
    See Also:
      Constant Field Values

  - ### HEXADECIMAL_FLOATING_POINT_LITERAL

    public static final String HEXADECIMAL_FLOATING_POINT_LITERAL
    Deprecated.
    See Also:
      Constant Field Values

  - ### IDENT

    public static final String IDENT
    Deprecated.
    See Also:
      Constant Field Values

  - ### OPERATION

    public static final String OPERATION
    Deprecated.
    See Also:
      Constant Field Values

  - ### LEFT_PARENS

    public static final String LEFT_PARENS
    Deprecated.
    See Also:
      Constant Field Values

  - ### RESERVED_WORD

    public static final String RESERVED_WORD
    Deprecated.
    See Also:
      Constant Field Values

  - ### RESERVED_WORDS

    public static final String[] RESERVED_WORDS
    Deprecated.

- ## Constructor Details

  - ### GroovyFilter

    public GroovyFilter​(DefaultStyledDocument doc)
    Deprecated.
    Creates a new instance of GroovyFilter

- ## Method Details

  - ### installAutoTabAction

    public static void installAutoTabAction​(JTextComponent tComp)
    Deprecated.